> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Drugs

> Retrieve drugs associated with the query variants from pharmGKB.

Set verbose = true to retrieve full info on the drugs.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or region.

Example: variant_id = NC_000001.11:230714139:T:G,

spdi = NC_000001.11:230714139:T:G,

hgvs = NC_000001.11:g.230714140T>G,

rsid = rs5050 (at least one of the variant fields needs to be specified),

ca_id = CA10610220,

region = chr3:186741137-186742238 (maximum length: 10kb),

the following filters on variants-drugs association can be combined for query:

pmid = 20824505,

phenotype_categories = Toxicity.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/drugs
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/drugs:
    get:
      summary: Variants Drugs
      description: >-
        Retrieve drugs associated with the query variants from pharmGKB.


        Set verbose = true to retrieve full info on the drugs.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, or region.


        Example: variant_id = NC_000001.11:230714139:T:G,


        spdi = NC_000001.11:230714139:T:G,


        hgvs = NC_000001.11:g.230714140T>G,


        rsid = rs5050 (at least one of the variant fields needs to be
        specified),


        ca_id = CA10610220,


        region = chr3:186741137-186742238 (maximum length: 10kb),


        the following filters on variants-drugs association can be combined for
        query:


        pmid = 20824505,


        phenotype_categories = Toxicity.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.
      operationId: drugsFromVariants
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: phenotype_categories
          in: query
          required: false
          schema:
            type: string
            enum:
              - Dosage
              - Efficacy
              - Metabolism/PK
              - Other
              - PD
              - Toxicity
        - name: pmid
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    drug:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            drug_ontology_terms:
                              type: array
                              items:
                                type: string
                            source:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - name
                            - source
                            - source_url
                          additionalProperties: false
                    _from:
                      type: string
                    gene_symbol:
                      type: array
                      items:
                        type: string
                    pmid:
                      type: string
                    study_parameters:
                      type: array
                      items:
                        type: object
                        properties:
                          study_parameter_id:
                            type: string
                          study_type:
                            type: string
                          study_cases:
                            type: string
                          study_controls:
                            type: string
                          p-value:
                            type: string
                          biogeographical_groups:
                            type: string
                        required:
                          - study_parameter_id
                        additionalProperties: false
                    phenotype_categories:
                      type: array
                      items:
                        type: string
                    source:
                      type: string
                    source_url:
                      type: string
                    name:
                      type: string
                  required:
                    - _from
                    - source
                    - source_url
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````